{% extends 'Master.htm' %}
{% block HeadScript %}
<!-- Theme JS files -->
<script src="/static/js/plugins/extensions/jquery_ui/core.min.js"></script>
<script src="/static/js/plugins/extensions/jquery_ui/effects.min.js"></script>
<script src="/static/js/plugins/extensions/jquery_ui/interactions.min.js"></script>
<script src="/static/js/plugins/trees/fancytree_all.min.js"></script>
<script src="/static/js/plugins/trees/fancytree_childcounter.js"></script>
<!-- /theme JS files -->

<script>
	$(function () {
		$('#btnSave').click(function () {
			Save();
		});

		$('#btnSave2').click(function () {
			Save();
		});
	});

	function Save(){
		$.ajax({
				url: "Update",
				dataType: 'html',
				type: "POST",
				data: $('#PropetyForm').serialize(),
				async: true,
				success: function (data) {
					alert(data);
					location.reload();
				}
			});
	}

	function AddPropNode(TreeID, TextboxID) {
		var Text = $('#' + TextboxID).val();
		var rootNode = $.ui.fancytree.getTree("#" + TreeID).getRootNode();
		rootNode.addChildren({
			title: Text,
			folder: false
		});
	}

	function AddRow(table) {
		$('#' + table + ' tr:last').after(
			'<tr><td><input type="hidden" id="item_id" name="item_id" value="0"/></td> \
			<td><input type="text" id="name" name="item_name" class="form-control"/></td> \
			<td><input type="text" id="description" name="item_description" class="form-control"/></td> \
			</tr>'
		);
	}

</script>

{% endblock %}

{% block NaviTitle %}
<span class="font-weight-semibold">Game Admin - Propeties</span> - 遊戲管理區 - 屬性/參數
{% endblock %}

{% block Content %}
<!-- Page content -->
<div class="page-content container pt-0">

	<!-- Main content -->
	<div class="content-wrapper">

		<!-- Content area -->
		<div class="content">

			<!-- Form layouts -->
			<div class="row">
				<div class="col-md-3">
					{% include 'GameAdmin/Navigation.htm' %}
				</div>
				<div class="col-md-9">
					<div class="card">
						<div class="card-header header-elements-inline">
							<h6 class="card-title"> {{Propety.name}} 詳細資料</h6>
							<div class="header-elements">
								<div class="list-icons">
								</div>
							</div>
						</div>
						<form id="PropetyForm">
							<input type="hidden" value="{{Propety.id}}" id="Propety_ID" name="Propety_ID" />
							<ul class="media-list media-list-linked media-list-bordered">
								<li class="media bg-light font-weight-semibold py-2">基本資訊</li>

								<li>
									<div class="card-body">
										<div class="row form-group">
											<div class="col-md-2"><label class="col-form-label">名稱</label></div>
											<div class="col-md-10"><input type="text" id="Propety_Name" name="Propety_Name"
													class="form-control" readonly value="{{Propety.name}}" />
											</div>
										</div>
										<div class="row form-group">
											<div class="col-md-2"><label class="col-form-label">描述</label></div>
											<div class="col-md-10">
												<input id="Propety_Description" type="text" name="Propety_Description"
													class="form-control" value="{{Propety.description}}" /></div>
										</div>
										<div class="row form-group">
											<div class="col-md-2"><label class="col-form-label">資料類型</label></div>
											<div class="col-md-10">
												<select class="form-control" name="Propety_DataType">
													<option value="Textbox" {% if Propety.data_type == "Textbox" %}
														selected {% endif %}>文字</option>
													<option value="List" {% if Propety.data_type == 'List' %} selected
														{% endif %}>列表</option>
													<option value="Number" {% if Propety.data_type == 'Number' %}
														selected {% endif %}>數字</option>
												</select>
											</div>
										</div>
										<div class="row form-group">
											<div class="col-md-12 text-right">
												<input type="button" id="btnSave" value="儲存" />
											</div>
										</div>
									</div>
								</li>
								{%  if Propety.data_type == 'List'  %}
								<li class="media bg-light font-weight-semibold py-2">資料列表 (只限於'資料類型'為'列表')</li>

								<li>
									<table id="PropetyTable" class=" table table-sm">
										<thead>
											<th>次序</th>
											<th>名稱</th>
											<th>描述</th>
										</thead>
										<tbody>
											
											{% for Item in Items  %}
											<input type="hidden" id="item_id" name="item_id" value="{{Item.id}}" />
											<tr>
												<td>{{loop.index}}</td>
												<td><input type="text" id="item_name" name="item_name"
														class="form-control" value="{{Item.name}}" /></td>
												<td><input type="text" id="item_description" name="item_description"
														class="form-control" value="{{Item.description}}" /></td>
											</tr>
											{% endfor %}
										
										</tbody>
									</table>
								</li>
								<li>
									<input type="button" onclick=" AddRow('PropetyTable');"
										value="新增一行資料" />
									<input type="button" id="btnSave2" value="儲存" />
								</li>
								{%endif%}
							</ul>
						</form>
					</div>

				</div>





			</div>
			<!-- /form layouts -->

		</div>
		<!-- /content area -->

	</div>
	<!-- /main content -->

</div>
{% endblock %}